%define		pearname Mail
%include	/usr/lib/rpm/macros.php
Summary:	%{pearname} - Class that provides multiple interfaces for sending emails
Summary(pl.UTF-8):	%{pearname} - Klasa dająca interfejsy do wysyłania poczty
Name:		php-pear-%{pearname}
Version:	1.3.0
Release:	2
License:	PHP/BSD
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{pearname}-%{version}.tgz
# Source0-md5:	55ddd9fa33c72cc1720a986678e3499b
URL:		http://pear.php.net/package/Mail/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.654
Requires:	php-pear >= 4:1.3-6
Suggests:	php-pear-Net_SMTP
Obsoletes:	php-pear-Mail-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq_pear Net/SMTP.*

%description
The PEAR's Mail:: interface, defines the interface for implementing
mailers under the PEAR hierarchy, and provides supporting functions
useful in multiple mailer backends. Currently supported are native PHP
mail() function, sendmail and SMTP. This package also provides a RFC
822 Email address list validation utility class.

%description -l pl.UTF-8
Klasa Mail:: definiuje w hierarchii PEAR interfejs do implementowania
wysyłania poczty oraz udostępnia funkcje pomocnicze przydatne w wielu
backendach do obsługi poczty. Aktualnie obsługiwane sposoby to natywna
dla PHP funkcja mail(), sendmail oraz SMTP. Ten pakiet zawiera także
klasę sprawdzającą zgodność list adresów z RFC 822.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post -p <lua>
%pear_package_print_optionalpackages

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/Mail.php
%{php_pear_dir}/Mail/*
%changelog
* Sun Apr 17 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-pear-Mail.git;a=log;h=master

* Sun Apr 17 2016 Jan Rękorajski <baggins@pld-linux.org> 271a001
- release 2 (by relup.sh)

* Tue Feb 02 2016 Elan Ruusamäe <glen@delfi.ee> f9c58e3
- up to 1.3.0

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> 8d16d9b
- release 4

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> e03cfea
- dropped -tests

* Sun Aug 22 2010 Elan Ruusamäe <glen@pld-linux.org> 10b2edc
- Mail dir moved to php-pear; rel 3

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 6dec278
- updated deps with pearize.sh
- release 2

* Thu Aug 19 2010 Elan Ruusamäe <glen@pld-linux.org> df9a9fb
- up to 1.2.0

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 0680303
- rel 4

* Tue Jul 03 2007 Elan Ruusamäe <glen@pld-linux.org> 527adca
- strict mode patch; rel 3

* Tue Jul 03 2007 Elan Ruusamäe <glen@pld-linux.org> 6220670
- strict mode fix

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c0724c8
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7b5520c
- converted to UTF-8

* Tue Dec 19 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> f797f00
- rel 2

* Thu Nov 02 2006 Elan Ruusamäe <glen@pld-linux.org> 0959844
- 1.1.14

* Fri Sep 15 2006 Adam Gołębiowski <adamg@pld-linux.org> 190dbaf
- updated to 1.1.13

* Wed Sep 13 2006 Adam Gołębiowski <adamg@pld-linux.org> 6745f9c
- updated to 1.1.11

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> ca2982f
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 30 2006 Adam Gołębiowski <adamg@pld-linux.org> e8102d1
- updated to 1.1.10

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> e87ad51
- AutoProv: no for -tests

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 49eeed8
- BR php-pear-PEAR

